Bug 1556933 - Bump python-cryptography to >=2.1
Summary: Bump python-cryptography to >=2.1
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-cryptography
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: beta
: 13.0 (Queens)
Assignee: Jon Schlueter
QA Contact: Alexander Stafeyev
URL:
Whiteboard:
Depends On: 1553517 1553521
Blocks: 1553520
TreeView+ depends on / blocked
 
Reported: 2018-03-15 14:55 UTC by Carlos Goncalves
Modified: 2018-06-27 13:47 UTC (History)
10 users (show)

Fixed In Version: python-cryptography-2.1.4-1.el7ost
Doc Type: Release Note
Doc Text:
Since version 2.1, python-cryptography checks that the CNS Names used in certificates are compliant with IDN standards. If the found names do not follow this specification, cryptography will fail to validate the certificate and different errors may be found when using OpenStack command line interface or in OpenStack service logs.
Clone Of: 1553517
Environment:
Last Closed: 2018-06-27 13:46:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
RDO 12859 None master: MERGED rdoinfo: Promote python-cryptography-2.1.4 and pyOpenSSL-17.3.0 to queens-testing (I477bfa73e60b717ced494eae225325c748f5... 2018-03-29 16:12:19 UTC
Red Hat Bugzilla 1553752 None None None Never
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:47:44 UTC

Internal Links: 1553752

Description Carlos Goncalves 2018-03-15 14:55:47 UTC
+++ This bug was initially created as a clone of Bug #1553517 +++

Description of problem:

Octavia requires python2-cryptography!=2.0,>=1.9 [1] and is synced with global-requirement.txt [2]. CentOS7 provides python2-cryptography-1.7.2-1.el7 which is not good enough and throws exceptions on load balancer create in Octavia:

2018-03-08 23:45:46.453 24634 ERROR octavia.controller.worker.controller_worker   File "/usr/lib/python2.7/site-packages/octavia/certificates/common/pkcs12.py", line 35, in get_certificate
2018-03-08 23:45:46.453 24634 ERROR octavia.controller.worker.controller_worker     return self.certificate.to_cryptography().public_bytes(
2018-03-08 23:45:46.453 24634 ERROR octavia.controller.worker.controller_worker AttributeError: 'X509' object has no attribute 'to_cryptography'

Could we promote python2-cryptography-2.1.4 from Fedora [3]? There might be some considerations to be made first, i.e. bump of openssl and pyopenssl versions?


[1] https://github.com/openstack/octavia/blob/master/requirements.txt#L47
[2] https://github.com/openstack/requirements/blob/master/global-requirements.txt#L28
[3] https://src.fedoraproject.org/rpms/python-cryptography/blob/master/f/python-cryptography.spec

--- Additional comment from Carlos Goncalves on 2018-03-15 07:02:17 EDT ---

python-cryptography>=1.9 is not good enough as recently discovered with a new gate using lower-constraints [1]. Octavia requires python-cryptography>=2.1.

Version bump being requested upstream for global-requirements.txt and lower-constraints.txt in [2].

[1] https://review.openstack.org/#/c/553134/
[2] https://review.openstack.org/#/c/553136/

Comment 2 Assaf Muller 2018-03-29 07:58:29 UTC
RDO already bumped the library, waiting for an import.

Comment 10 errata-xmlrpc 2018-06-27 13:46:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.